label: Side navigation
status: ready
preview: '@uswds-framed'

context:
  sidenav:
    links: &default_links
      - text: Parent link
      - text: Current page
        current: true
        links:
          - text: Child link
          - text: Child link
            current: true
            links:
              - text: Grandchild link
              - text: Grandchild link
              - text: Grandchild link
                current: true
              - text: Grandchild link
          - text: Child link
          - text: Child link
          - text: Child link
      - text: Parent link

variants:
  - name: default

  - name: compare
    context:
      sidenavs:
        - title: Single level
          links:
            - text: Current page
              current: true
            - text: Parent link
            - text: Parent link

        - title: Two levels
          links:
            - text: Parent link
            - text: Current page
              current: true
              links:
                - text: Child link
                - text: Child link
                - text: Child link
                - text: Child link
                - text: Child link
                  current: true
            - text: Parent link

        - title: Three levels
          links:
            - text: Parent link
            - text: Current page
              current: true
              links:
                - text: Child link
                - text: Child link
                  links:
                    - text: Grandchild link
                    - text: Grandchild link
                    - text: Grandchild link
                      current: true
                - text: Child link
                - text: Child link
                - text: Child link
            - text: Parent link
